import { ReactNode } from 'react';
import { CheckBox, CheckBoxProps } from '../check-box/CheckBox';
interface SwitchProps extends CheckBoxProps {
    /**
     * 加载中
     */
    loading?: boolean;
}
export default class Switch extends CheckBox<SwitchProps> {
    static displayName: string;
    /**
     * tooltip disable sign
     */
    static __PRO_SWITCH: boolean;
    static __IS_IN_CELL_EDITOR: boolean;
    static defaultProps: {
        suffixCls: string;
        indeterminate: boolean;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    handleKeyDown(e: any): void;
    showTooltip(e: any): boolean;
    getOmitPropsKeys(): string[];
    isDisabled(): boolean;
    getLabelText(): undefined;
    getTextNode(): JSX.Element;
    renderSwitchFloatLabel(): JSX.Element;
    getWrapperClassNames(): string;
    renderInner(): ReactNode;
}
export {};
